Auth API reference

Auth API · Consumer-Me

post/{app_slug}/v1/me/contacts/{id}/promoteAuth

Promote a verified contact to primary

Demotes the previous primary of the same type. Refused (409) when the target contact is unverified — promoting an unverified contact would let an attacker who registered the contact bypass verification by routing reset codes through it.

Path parameters

id*string

Id of the contact.

app_slug*string

Slug of the app.

Response · 204

Contact promoted.

Example

Request

POST https://api.auth.productcraft.co/{app_slug}/v1/me/contacts/{id}/promote
Authorization: Bearer YOUR_TOKEN